## cascading.tuple.hadoop
Class TupleSerializationProps

    java.lang.Object
      cascading.property.Props
          cascading.tuple.hadoop.TupleSerializationProps

    public class TupleSerializationProps

extends Props

Class TupleSerializationProps is a fluent interface for building properties to be passed to a `FlowConnector` before creating new `Flow` instances.

See `TupleSerialization` for details on these properties.

See Also:
  `TupleSerialization`

Field Summary
`static String` `HADOOP_IO_SERIALIZATIONS`
`static String` `SERIALIZATION_TOKENS`

Constructor Summary
`TupleSerializationProps()`

Method Summary
`TupleSerializationProps` `addHadoopSerialization(String hadoopSerializationClassName)` Method addHadoopSerialization adds a Hadoop serialization className to be used as properties.
`TupleSerializationProps` `addHadoopSerializations(List<String> hadoopSerializationClassNames)` Method addHadoopSerializations adds the Hadoop serialization classNames to be used as properties.
`protected void` `addPropertiesTo(Properties properties)`
`static void` `addSerialization(Map<Object,Object> properties, String className)` Adds the given className as a Hadoop IO serialization class.
`TupleSerializationProps` `addSerializationToken(int token, String serializationClassName)` Method addSerializationToken adds the given integer token and classNames as a serialization properties.
`static void` `addSerializationToken(Map<Object,Object> properties, int token, String className)` Adds the given token and className pair as a serialization token property.
`TupleSerializationProps` `addSerializationTokens(Map<Integer,String> serializationTokens)` Method addSerializationTokens adds the given integer tokens and classNames Map as a serialization properties.
`List<String>` `getHadoopSerializations()`
`Map<Integer,String>` `getSerializationTokens()`
`static String` `getSerializationTokens(Map<Object,Object> properties)` Returns the serialization tokens property.
`TupleSerializationProps` `setHadoopSerializations(List<String> hadoopSerializationClassNames)` Method setHadoopSerializations sets the Hadoop serialization classNames to be used as properties.
`TupleSerializationProps` `setSerializationTokens(Map<Integer,String> serializationTokens)` Method setSerializationTokens sets the given integer tokens and classNames Map as a serialization properties.
`static TupleSerializationProps` `tupleSerializationProps()` Creates a new TupleSerializationProps instance.

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZATION_TOKENS

    public static final String SERIALIZATION_TOKENS

See Also:
  Constant Field Values

### HADOOP_IO_SERIALIZATIONS

    public static final String HADOOP_IO_SERIALIZATIONS

See Also:
  Constant Field Values

Constructor Detail

### TupleSerializationProps

    public TupleSerializationProps()

Method Detail

### addSerializationToken

    public static void addSerializationToken(Map<Object,Object> properties,
                                             int token,
                                             String className)

  Adds the given token and className pair as a serialization token property. During object serialization and deserialization, the given token will be used instead of the className when an instance of the className is encountered.

  Parameters:
    `properties` - of type Map
    `token` - of type int
    `className` - of type String

### getSerializationTokens

    public static String getSerializationTokens(Map<Object,Object> properties)

  Returns the serialization tokens property.

  Parameters:
    `properties` - of type Map
  Returns:
    returns a String

### addSerialization

    public static void addSerialization(Map<Object,Object> properties,
                                        String className)

  Adds the given className as a Hadoop IO serialization class.

  Parameters:
    `properties` - of type Map
    `className` - of type String

### tupleSerializationProps

    public static TupleSerializationProps tupleSerializationProps()

  Creates a new TupleSerializationProps instance.

  Returns:
    TupleSerializationProps instance

### getSerializationTokens

    public Map<Integer,String> getSerializationTokens()

### setSerializationTokens

    public TupleSerializationProps setSerializationTokens(Map<Integer,String> serializationTokens)

  Method setSerializationTokens sets the given integer tokens and classNames Map as a serialization properties.

  During object serialization and deserialization, the given tokens will be used instead of the className when an instance of the className is encountered.

  Parameters:
    `serializationTokens` - Map of Integer tokens and String classnames
  Returns:
    this

### addSerializationTokens

    public TupleSerializationProps addSerializationTokens(Map<Integer,String> serializationTokens)

  Method addSerializationTokens adds the given integer tokens and classNames Map as a serialization properties.

  During object serialization and deserialization, the given tokens will be used instead of the className when an instance of the className is encountered.

  Parameters:
    `serializationTokens` - Map of Integer tokens and String classnames
  Returns:
    this

### addSerializationToken

    public TupleSerializationProps addSerializationToken(int token,
                                                         String serializationClassName)

  Method addSerializationToken adds the given integer token and classNames as a serialization properties.

  During object serialization and deserialization, the given tokens will be used instead of the className when an instance of the className is encountered.

  Parameters:
    `token` - type int
    `serializationClassName` - type String
  Returns:
    this

### getHadoopSerializations

    public List<String> getHadoopSerializations()

### setHadoopSerializations

    public TupleSerializationProps setHadoopSerializations(List<String> hadoopSerializationClassNames)

  Method setHadoopSerializations sets the Hadoop serialization classNames to be used as properties.

  Parameters:
    `hadoopSerializationClassNames` - List of classNames
  Returns:
    this

### addHadoopSerializations

    public TupleSerializationProps addHadoopSerializations(List<String> hadoopSerializationClassNames)

  Method addHadoopSerializations adds the Hadoop serialization classNames to be used as properties.

  Parameters:
    `hadoopSerializationClassNames` - List of classNames
  Returns:
    this

### addHadoopSerialization

    public TupleSerializationProps addHadoopSerialization(String hadoopSerializationClassName)

  Method addHadoopSerialization adds a Hadoop serialization className to be used as properties.

  Parameters:
    `hadoopSerializationClassName` - List of classNames
  Returns:
    this

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.